Bug 563781 - (CVE-2010-0437) CVE-2010-0437 kernel: ipv6: fix ip6_dst_lookup_tail() NULL pointer dereference
CVE-2010-0437 kernel: ipv6: fix ip6_dst_lookup_tail() NULL pointer dereference
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
reported=20100211,public=20080909,sou...
: Security
Depends On: 552354 559238 563782 563783 563784 576007
Blocks: 557926
  Show dependency treegraph
 
Reported: 2010-02-11 00:03 EST by Eugene Teo (Security Response)
Modified: 2016-06-13 03:34 EDT (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eugene Teo (Security Response) 2010-02-11 00:03:09 EST
Description of problem:
ipv6: Fix OOPS in ip6_dst_lookup_tail().

This fixes kernel bugzilla 11469: "TUN with 1024 neighbours: ip6_dst_lookup_tail NULL crash"

dst->neighbour is not necessarily hooked up at this point in the processing path, so blindly dereferencing it is the wrong thing to do.  This NULL check exists in other similar paths and this case was just an oversight.

Also fix the completely wrong and confusing indentation here while we're at it.

Based upon a patch by Evgeniy Polyakov.

References:
http://bugzilla.kernel.org/show_bug.cgi?id=11469

Upstream patch:
http://git.kernel.org/linus/e550dfb0c2c31b6363aa463a035fc9f8dcaa3c9b
Comment 5 Eugene Teo (Security Response) 2010-02-11 00:13:57 EST
How to mitigate against NULL pointer dereference vulnerabilities?
http://kbase.redhat.com/faq/docs/DOC-20536
Comment 13 errata-xmlrpc 2010-03-16 20:19:01 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0147 https://rhn.redhat.com/errata/RHSA-2010-0147.html
Comment 14 errata-xmlrpc 2010-03-16 23:18:38 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5.2 Z Stream

Via RHSA-2010:0148 https://rhn.redhat.com/errata/RHSA-2010-0148.html
Comment 15 errata-xmlrpc 2010-03-17 00:03:04 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5.3.Z - Server Only

Via RHSA-2010:0149 https://rhn.redhat.com/errata/RHSA-2010-0149.html
Comment 17 errata-xmlrpc 2010-03-23 11:42:42 EDT
This issue has been addressed in following products:

  MRG for RHEL-5

Via RHSA-2010:0161 https://rhn.redhat.com/errata/RHSA-2010-0161.html

Note You need to log in before you can comment on or make changes to this bug.